package com.lantone.qc.kernel.catalogue.xiamen.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP02836
 * @Description : 出生日期未填写
 * @Author : 胡敬
 * @Date: 2020-06-04 17:46
 */
@Component
public class FIRP02836 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getFirstPageRecordDoc() == null) {
            status.set("0");
            return;
        }
        if (inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String birthDay = firstpageStructureMap.get("出生日期");
            if (!CatalogueUtil.isEmpty(birthDay)) {
                status.set("0");
            }
        }
    }
}